package jiaowuxitong

import (
	"shylinux.com/x/ice"
	"shylinux.com/x/icebergs/base/web"
	kit "shylinux.com/x/toolkits"

	"shylinux.com/x/education/src/jiaowuxitong/model"
	"shylinux.com/x/mysql-story/src/db"
)

type Table struct {
	db.Table
}

func (s Table) Init(m *ice.Message, arg ...string) {
	kit.If(m.Config(web.PORTAL) == ice.TRUE, func() { m.GoSleep("30ms", func() { portal{}.Show(m) }) })
}
func (s Table) Inputs(m *ice.Message, arg ...string) {
	switch arg[0] {
	case model.GRADE:
		y := kit.Int(kit.Split(m.Time(), "-")[0])
		for i := 0; i < 10; i++ {
			m.Push(arg[0], kit.Format("%d级", y))
			y--
		}
	default:
		s.Table.Inputs(m, arg...)
	}
}

func prefixKey() string { return kit.Keys("web.team", kit.PathName(-1), kit.FileName(-1)) }
