package jiaowuxitong

import (
	"shylinux.com/x/ice"
	kit "shylinux.com/x/toolkits"

	"shylinux.com/x/community/src/gonganxitong"
	"shylinux.com/x/education/src/jiaowuxitong/model"
)

const (
	EVENT_CLASS_CREATE = "web.team.education.class.create"
	EVENT_CLASS_REMOVE = "web.team.education.class.remove"
)

type events struct {
	user        gonganxitong.User
	portal      portal
	classCreate string `name:"classCreate" event:"web.team.education.class.create"`
	classRemove string `name:"classRemove" event:"web.team.education.class.remove"`
}

func (s events) ClassCreate(m *ice.Message, arg ...string) { s.classEvent(m, "班级创建成功") }
func (s events) ClassRemove(m *ice.Message, arg ...string) { s.classEvent(m, "班级删除成功") }

func init() { ice.Cmd(prefixKey(), events{}) }

func (s events) classEvent(m *ice.Message, arg ...string) {
	m.Cmd(s.user, s.user.SendTemplate, m.MergePodCmd("", ice.GetTypeKey(s.portal))+"#"+m.Option(model.CLASS_UID),
		m.Trans(m.ActionKey(), arg[0]), m.Option(model.CLASS_NAME), kit.Cut(m.Option(model.CLASS_UID), 8))
}
