package jiaowuxitong

import (
	"shylinux.com/x/ice"
	"shylinux.com/x/icebergs/base/mdb"

	"shylinux.com/x/education/src/jiaowuxitong/model"
)

type homework struct {
	Table
	Class  Class
	portal string `data:"true"`
	create string `name:"create class_uid* content*"`
	list   string `name:"list class_uid uid auto"`
}

func (s homework) List(m *ice.Message, arg ...string) {
	if len(arg) == 0 {
		s.Table.List(m, arg...)
		return
	} else if len(arg) == 1 {
		s.Table.Select(m, model.CLASS_UID, arg[0]).PushAction(s.Remove).Action(s.Create)
	} else {
		s.Table.Select(m.FieldsSetDetail(), model.UID, arg[1]).PushAction(s.Remove)
	}
	m.Option(model.CLASS_NAME, m.Cmd(s.Class, s.Class.Select, model.UID, arg[0]).Append(mdb.NAME))
	m.Display("").DisplayCSS("")
}

func init() { ice.Cmd(prefixKey(), homework{}) }
